package com.ichaoj.ams.controller;

import com.ichaoj.ams.request.record.PageTradeRecordRequest;
import com.ichaoj.ams.response.record.TradeRecordResponse;
import com.ichaoj.ams.service.IAmsTradeRecordService;
import com.ichaoj.common.annotation.AuthResource;
import com.ichaoj.common.model.PublicPage;
import com.ichaoj.common.model.PublicResult;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * @author : cjwen
 * @date : 2023/05/10 10:22
 */
@RestController
@RequestMapping("/trade-record")
@Tag(name = "交互记录模块")
public class TradeRecordController {

    @Resource
    private IAmsTradeRecordService tradeRecordService;

    @PostMapping("/page")
    @Operation(summary = "分页查询交互记录")
    @AuthResource
    public PublicResult<PublicPage<TradeRecordResponse>> pageTradeRecord(@RequestBody PageTradeRecordRequest pageRequest) {
        PublicPage<TradeRecordResponse> result = tradeRecordService.pageTradeRecord(pageRequest);
        return PublicResult.success(result);
    }

}
