package com.ichaoj.ams.controller;

import com.ichaoj.common.annotation.AuthResource;
import com.ichaoj.common.model.PublicPage;
import com.ichaoj.common.model.PublicResult;
import com.ichaoj.uc.provider.client.UserFeignClient;
import com.ichaoj.uc.provider.request.user.QueryUserInfoPublicPage;
import com.ichaoj.uc.provider.response.user.UserInfoResponse;
import com.ichaoj.web.bean.SystemId;
import com.ichaoj.web.context.SuperWhaleContext;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * @author : cjwen
 * @date : 2023/05/10 18:33
 */
@RestController
@RequestMapping("user")
@Tag(name = "用户模块")
public class UserController {

    @Resource
    private UserFeignClient userFeignClient;

    @PostMapping("/page")
    @Operation(summary = "分页查询用户信息")
    @AuthResource
    public PublicResult<PublicPage<UserInfoResponse>> pageUser(@RequestBody QueryUserInfoPublicPage publicPage) {
        publicPage.setSystemGroupId(publicPage.getSystemGroupId());
        publicPage.setSystemId(SuperWhaleContext.getContext(SystemId.class).getSystemId());
        return userFeignClient.queryUserInfoPage(publicPage);
    }

}
