package com.ichaoj.ams.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 地址管理
 * </p>
 *
 * @author cjwen
 * @since 2023-05-10
 */
@Getter
@Setter
@TableName("ams_address_account")
public class AmsAddressAccount implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "ams_address_id", type = IdType.ASSIGN_UUID)
    private String amsAddressId;

    /**
     * 用户id
     */
    private String userId;

    /**
     * 地址
     */
    private String address;

    /**
     * 公链id
     */
    private String chainId;

    /**
     * 地址类型;是否精品号(0:精品号,1:批量号)
     */
    private Integer addressType;

    /**
     * 地址组名称
     */
    private String groupName;

    /**
     * keystore文件
     */
    private String keystore;

    /**
     * 最后操作时间
     */
    private LocalDateTime lastOperTime;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 逻辑删除标识
     */
    private Integer flag;


}
