package com.ichaoj.ams.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.ichaoj.ams.constant.AmsConstant;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 空投项目任务
 * </p>
 *
 * @author cjwen
 * @since 2023-05-18
 */
@Getter
@Setter
@TableName("ams_airdrop_task")
public class AmsAirdropTask implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "ams_task_id", type = IdType.ASSIGN_UUID)
    private String amsTaskId;

    /**
     * 空投项目id
     */
    private String airdropProjectId;

    private String chainId;

    /**
     * 任务名称
     */
    private String taskName;


    private String taskCode;

    /**
     * 合约地址
     */
    private String contractAddress;

    /**
     * 预计gas消耗
     */
    private String estimatedGas;

    /**
     * 计划任务执行次数
     */
    private Integer planTimes;

    /**
     * 任务类型
     */
    private AmsConstant.TaskType taskType;

    /**
     * 任务状态;是否完成(0否，1是)
     */
    private Integer taskStatus;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 逻辑删除标识
     */
    private Integer flag;


}
