package com.ichaoj.ams.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 自动化
 * </p>
 *
 * @author cjwen
 * @since 2023-05-18
 */
@Getter
@Setter
@TableName("ams_execute_record")
public class AmsExecuteRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "execute_id", type = IdType.ASSIGN_UUID)
    private String executeId;

    /**
     * 交互名称
     */
    private Integer executeTimes;

    /**
     * 空投项目id
     */
    private String projectId;

    /**
     * 任务id
     */
    private String taskId;

    private String airdropParams;

    /**
     * 用户id
     */
    private String userId;

    /**
     * 地址组名称
     */
    private String groupName;

    /**
     * 源资产
     */
    private String fromAsset;

    /**
     * 目的资产
     */
    private String toAsset;

    /**
     * 时间间隔最小分钟数
     */
    private Integer intervalMin;

    /**
     * 时间间隔最大分钟数
     */
    private Integer intervalMax;

    /**
     * 交互金额
     */
    private String amount;

    /**
     * 最大gas
     */
    private String maxGas;

    /**
     * 执行状态;是否完成(0否，1是)
     */
    private Integer executeStatus;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 逻辑删除标识
     */
    private Integer flag;


}
