package com.ichaoj.ams.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.time.LocalDateTime;

import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 交易
 * </p>
 *
 * @author cjwen
 * @since 2023-05-18
 */
@Getter
@Setter
@TableName("ams_trade_record")
public class AmsTradeRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 交易记录ID
     */
    @TableId(value = "trade_record_id", type = IdType.ASSIGN_UUID)
    private String tradeRecordId;

    /**
     * 链上交易id
     */
    private String txId;

    /**
     * 执行id
     */
    private String executeId;

    /**
     * gas费
     */
    private String gas;

    /**
     * 金额
     */
    private String amount;
    /**
     * 金额
     */
    private String currentBalance;

    /**
     * 公链id
     */
    private String chainId;

    /**
     * 交易状态(0:进行中,1:已完成)
     */
    private Integer status;

    /**
     * 地址
     */
    private String address;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 逻辑删除标识
     */
    private Integer flag;


}
