package com.ichaoj.ams.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ichaoj.ams.entity.AmsAddressAccount;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ichaoj.ams.request.address.PageAddressRequest;
import com.ichaoj.ams.response.address.AddressResponse;
import com.ichaoj.ams.response.address.CountAddressResponse;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 地址管理 Mapper 接口
 * </p>
 *
 * @author cjwen
 * @since 2023-05-10
 */
public interface AmsAddressAccountMapper extends BaseMapper<AmsAddressAccount> {

    /**
     * 分页查询地址
     *
     * @param buildPageObj 分页参数
     * @param request      查询参数
     * @param userId       用户id
     * @return 分页结果
     */
    Page<AddressResponse> pageAddress(Page<AmsAddressAccount> buildPageObj, @Param("request") PageAddressRequest request, @Param("userId") String userId);

    /**
     * 统计用户批量地址的数量（按地址组名称分组）
     *
     * @param userId 用户id
     * @return 分组地址map
     */
    List<CountAddressResponse> countBatchCount(@Param("userId") String userId);
}
