package com.ichaoj.ams.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ichaoj.ams.entity.AmsExecuteRecord;
import com.ichaoj.ams.request.execute.PageExecuteRequest;
import com.ichaoj.ams.response.execute.ExecuteResponse;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 执行记录 Mapper 接口
 * </p>
 *
 * @author cjwen
 * @since 2023-05-18
 */
public interface AmsExecuteRecordMapper extends BaseMapper<AmsExecuteRecord> {

    /**
     * 分页查询执行
     *
     * @param buildPageObj 分页对象
     * @param request      请求参数
     * @param userId       用户id
     * @return 分页结果
     */
    Page<ExecuteResponse> pageExecute(Page<AmsExecuteRecord> buildPageObj,
                                      @Param("request") PageExecuteRequest request,
                                      @Param("userId") String userId);
}
