package com.ichaoj.ams.request.address;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author cjwen
 */
@Data
@Schema(title = "精品号地址")
public class PremiumAddressRequest {
    @Schema(title = "地址")
    @NotBlank(message = "地址不能为空")
    private String address;

    @Schema(title = "公链")
    @NotBlank(message = "公链id不能为空")
    private String chainId;

    @Schema(title = "地址组名称")
    @NotBlank(message = "地址组名称不能为空")
    private String groupName;
}
