package com.ichaoj.ams.request.airdrop;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import java.util.List;

/**
 * @author : cjwen
 * @date : 2023/04/26 14:25
 */
@EqualsAndHashCode(callSuper = true)
@Data
@Schema(title = "修改空投项目")
public class UpdateAirdropProject extends CreateAirdropProject{

    @Schema(title = "空投项目Id")
    @NotBlank(message = "amsProjectId 不能为空")
    private String amsProjectId;


    private List<Task> tasks;

    @Data
    public static class Task{
        private String taskName;
        private String taskId;
    }

}
