package com.ichaoj.ams.request.execute;

import com.ichaoj.ams.script.model.AirdropParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

/**
 * @author : cjwen
 * @date : 2023/04/26 14:25
 */
@Data
@Schema(title = "创建执行")
public class CreateExecute {

    /**
     * 执行次数
     */
    private Integer executeTimes;

    /**
     * 空投项目id
     */
    private String projectId;

    /**
     * 任务id
     */
    private String taskId;

    /**
     * 用户id
     */
    private String userId;

    private List<AirdropParam> airdropParams;

    /**
     * 地址组名称
     */
    private String groupName;

    /**
     * 源资产
     */
    private String fromAsset;

    /**
     * 目的资产
     */
    private String toAsset;

    /**
     * 时间间隔最小分钟数
     */
    private Integer intervalMin;

    /**
     * 时间间隔最大分钟数
     */
    private Integer intervalMax;

    /**
     * 交互金额
     */
    private String amount;

    /**
     * 最大gas
     */
    private String maxGas;

    /**
     * 执行状态;是否完成(0否，1是)
     */
    private Integer executeStatus;

    private String password;

}
