package com.ichaoj.ams.request.task;

import com.ichaoj.ams.constant.AmsConstant;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author : cjwen
 * @date : 2023/04/26 14:25
 */
@Data
@Schema(title = "创建空投任务")
public class CreateAirdropTask {

    /**
     * 空投项目id
     */
    private String airdropProjectId;

    /**
     * 任务名称
     */
    private String taskName;

    private String taskCode;

    /**
     * 计划任务执行次数
     */
    private Integer planTimes;

    /**
     * 合约地址
     */
    private String contractAddress;

    /**
     * 任务交互api
     */
    private String taskApi;

    /**
     * 任务交互url
     */
    private String taskUrl;

    private String chainId;

    /**
     * 任务类型
     */
    private AmsConstant.TaskType taskType;

    /**
     * 任务状态;是否完成(0否，1是)
     */
    private Integer taskStatus;


}
