package com.ichaoj.ams.request.task;

import com.ichaoj.ams.constant.AmsConstant;
import com.ichaoj.ams.response.task.TaskResponse;
import com.ichaoj.common.model.PublicPage;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;

/**
 * @author : cjwen
 * @date : 2023/04/26 14:25
 */
@EqualsAndHashCode(callSuper = true)
@Data
@Schema(title = "修改空投任务")
public class PageTaskRequest extends PublicPage<TaskResponse> {

    @Schema(title = "查询参数")
    private String queryValue;

    @Schema(title = "任务类型")
    private AmsConstant.TaskType taskType;

}
