package com.ichaoj.ams.response.airdrop;

import com.ichaoj.ams.constant.AmsConstant;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @author : cjwen
 * @date : 2023/05/12 15:51
 */
@Data
@Schema(title = "空投项目信息")
public class AirdropProjectResponse {

    private String amsProjectId;

    /**
     * 项目logo
     */
    private String projectLogo;

    /**
     * 项目名称
     */
    private String projectName;

    /**
     * 预计投入usdt
     */
    private String estimatedCost;

    /**
     * 项目相关url
     */
    private String projectUrl;

    /**
     * 空投状态
     */
    private AmsConstant.AirdropStatus status;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    @Schema(title = "任务总数")
    private long taskTotalCount;

    @Schema(title = "任务完成数")
    private long taskFinishCount;

    private BigDecimal totalGas;
}
