package com.ichaoj.ams.response.execute;

import com.ichaoj.ams.response.task.TaskResponse;
import com.ichaoj.ams.script.model.AirdropParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;

/**
 * @author : cjwen
 * @date : 2023/05/12 15:51
 */
@Data
@Schema(title = "执行信息")
public class ExecuteResponse {

    private String executeId;

    /**
     * 交互名称
     */
    private Integer executeTimes;

    /**
     * 空投项目id
     */
    private String projectId;

    /**
     * 任务id
     */
    private String taskId;

    /**
     * 用户id
     */
    private String userId;

    /**
     * 地址组名称
     */
    private String groupName;

    /**
     * 源资产
     */
    private String fromAsset;

    /**
     * 目的资产
     */
    private String toAsset;

    /**
     * 时间间隔最小分钟数
     */
    private Integer intervalMin;

    /**
     * 时间间隔最大分钟数
     */
    private Integer intervalMax;

    /**
     * 交互金额
     */
    private String amount;
    private String totalAmount;

    /**
     * 最大gas
     */
    private String maxGas;

    private String totalGas;

    private String totalCount;

    /**
     * 执行状态;是否完成(0否，1是)
     */
    private Integer executeStatus;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    private List<AirdropParam> airdropParams;

    private String paramsStr;

}
