package com.ichaoj.ams.response.record;

import cn.hutool.core.date.DateTime;
import cn.hutool.core.date.DateUtil;
import com.ichaoj.ams.constant.AmsConstant;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.Date;

/**
 * @author : cjwen
 * @date : 2023/05/18 10:55
 */
@Data
@Schema(title = "交互记录")
public class TradeRecordResponse {

    private String tradeRecordId;

    /**
     * 链上交易id
     */
    private String txId;

    /**
     * 执行id
     */
    private String executeId;

    /**
     * gas费
     */
    private String gas;

    /**
     * 金额
     */
    private String amount;

    /**
     * 金额
     */
    private String currentBalance;

    /**
     * 公链id
     */
    private String chainId;

    /**
     * 交易状态(0:进行中,1:已完成)
     */
    private Integer status;

    /**
     * 地址
     */
    private String address;

    /**
     * 任务类型
     */
    private AmsConstant.TaskType taskType;

    /**
     * 任务名称
     */
    private String taskName;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

}
