package com.ichaoj.ams.response.task;

import com.ichaoj.ams.constant.AmsConstant;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * @author : cjwen
 * @date : 2023/05/17 14:57
 */
@Data
@Schema(title = "空投任务")
public class TaskResponse {

    private String amsTaskId;

    /**
     * 任务名称
     */
    private String taskName;


    private String taskCode;

    /**
     * 合约地址
     */
    private String contractAddress;

    /**
     * 预计gas消耗
     */
    private String estimatedGas;

    /**
     * 计划任务执行次数
     */
    private Integer planTimes;

    /**
     * 任务类型
     */
    private AmsConstant.TaskType taskType;

    private String amsProjectId;

    /**
     * 项目logo
     */
    private String projectLogo;

    /**
     * 项目名称
     */
    private String projectName;

    /**
     * 项目相关url
     */
    private String projectUrl;

    private Integer executeTimes;

    private String executeId;

    /**
     * 执行状态;是否完成(0否，1是)
     */
    private Integer executeStatus;

    private String lastExecuteTime;

    private String groupName;
    private String maxGas;

    /**
     * 时间间隔最小分钟数
     */
    private Integer intervalMin;

    /**
     * 时间间隔最大分钟数
     */
    private Integer intervalMax;


}
