package com.ichaoj.ams.script;

import cn.hutool.extra.spring.SpringUtil;
import com.ichaoj.ams.script.annotation.Script;
import com.ichaoj.common.exception.ErrorServiceException;

import java.util.Map;
import java.util.Optional;

/**
 * @author wren
 */
public class ScriptContext {


    public static IScript getScriptByCode(String code) {
        Map<String, IScript> beansOfType = SpringUtil.getBeansOfType(IScript.class);
        Optional<IScript> optional = beansOfType
                .values()
                .stream()
                .filter(script -> {
                    Script annotation = script.getClass().getAnnotation(Script.class);
                    return annotation != null && annotation.name().equals(code);
                })
                .findFirst();
        return optional.orElseThrow(() -> new ErrorServiceException("脚本不存在"));
    }


}
