package com.ichaoj.ams.service;

import com.ichaoj.ams.entity.AmsAirdropProject;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ichaoj.ams.request.airdrop.CreateAirdropProject;
import com.ichaoj.ams.request.airdrop.PageProjectRequest;
import com.ichaoj.ams.request.airdrop.UpdateAirdropProject;
import com.ichaoj.ams.response.airdrop.AirdropProjectResponse;
import com.ichaoj.ams.response.statistics.PredictCostResponse;
import com.ichaoj.common.model.PublicPage;

/**
 * <p>
 * 空投项目 服务类
 * </p>
 *
 * @author cjwen
 * @since 2023-05-10
 */
public interface IAmsAirdropProjectService extends IService<AmsAirdropProject> {

    /**
     * 分页查询空投项目
     * @param projectRequest 请求参数
     * @return 分页结果
     */
    PublicPage<AirdropProjectResponse> pageAirdropProject(PageProjectRequest projectRequest);

    /**
     * 创建空投项目及任务
     * @param createAirdropProject 创建参数
     */
    void createAirdropProject(CreateAirdropProject createAirdropProject);

    /**
     * 修改空投及任务
     * @param updateAirdropProject 修改参数
     */
    void updateAirdropProject(UpdateAirdropProject updateAirdropProject);

    /**
     * 统计预计花费
     * @return 统计结果
     */
    PredictCostResponse predictCostStatistics();

}
