package com.ichaoj.ams.service;

import com.ichaoj.ams.constant.AmsConstant;
import com.ichaoj.ams.entity.AmsAirdropTask;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ichaoj.ams.request.task.PageTaskRequest;
import com.ichaoj.ams.response.task.TaskResponse;
import com.ichaoj.common.model.PublicPage;

import java.util.List;

/**
 * <p>
 * 空投项目任务 服务类
 * </p>
 *
 * @author cjwen
 * @since 2023-05-10
 */
public interface IAmsAirdropTaskService extends IService<AmsAirdropTask> {

    /**
     * 验证task参数
     * @param taskApi 任务api
     * @param taskName 任务名称
     * @param taskUrl 任务url
     * @param taskType 任务类型
     * @return 验证结果
     */
    boolean verifyTaskParam(String taskApi, String taskName, String taskUrl, AmsConstant.TaskType taskType);

    /**
     * 分页查询任务
     * @param taskRequest 分页参数
     * @return 分页结果
     */
    PublicPage<TaskResponse> pageAirdropProject(PageTaskRequest taskRequest);

    /**
     * 查询任务列表
     * @return 任务列表
     */
    List<TaskResponse> listTask();

}
