package com.ichaoj.ams.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ichaoj.ams.entity.AmsExecuteRecord;
import com.ichaoj.ams.request.execute.CreateExecute;
import com.ichaoj.ams.request.execute.PageExecuteRequest;
import com.ichaoj.ams.request.execute.UpdateExecute;
import com.ichaoj.ams.response.execute.ExecuteResponse;
import com.ichaoj.common.model.PublicPage;

/**
 * <p>
 * 执行记录 服务类
 * </p>
 *
 * @author cjwen
 * @since 2023-05-18
 */
public interface IAmsExecuteRecordService extends IService<AmsExecuteRecord> {

    /**
     * 分页查询执行
     * @param interactionRequest 请求参数
     * @return 查询结果
     */
    PublicPage<ExecuteResponse> pageExecute(PageExecuteRequest interactionRequest);

    /**
     * 创建执行
     * @param createExecute 创建参数
     */
    void createExecute(CreateExecute createExecute);

    /**
     * 修改执行
     * @param updateExecute 修改参数
     */
    void updateExecute(UpdateExecute updateExecute);

}
