package com.ichaoj.ams;

import com.ichaoj.ams.script.IScript;
import com.ichaoj.ams.script.SResult;
import com.ichaoj.ams.script.model.AirdropParam;
import com.ichaoj.ams.script.model.AirdropWallet;
import com.ichaoj.ams.script.test.nft.Erc21TestScript;
import com.ichaoj.ams.script.transfer.TransferScript;
import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;

import java.util.HashMap;
import java.util.Map;


class AmsBackendApplicationTests {

    @Test
    void contextLoads() {
        IScript script = new TransferScript();
        Map<String, AirdropParam> params = new HashMap<>();
        params.put("minAmount", new AirdropParam("minAmount", null, "0.001"));
        params.put("maxAmount", new AirdropParam("minAmount", null, "0.002"));
        params.put("accuracy", new AirdropParam("accuracy", null, "5"));
        AirdropWallet airdropWallet = new AirdropWallet();
        airdropWallet.setAddress("0x368715F09C1AB5E0B55bF5bA19cD887189A28DBE");
        airdropWallet.setPrivateKey("f9eac039449802f20cf0a38bc0b6f4064508fa61897d9c4fcb6cb66bd1311674");
        SResult sResult = script.run(params, airdropWallet);
        System.out.println(sResult);
    }

}
