package com.ichaoj.generate;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.generator.FastAutoGenerator;
import com.baomidou.mybatisplus.generator.config.OutputFile;
import com.baomidou.mybatisplus.generator.config.TemplateType;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;
import java.util.Scanner;


/**
 * 代码生成器
 *
 * @author 焦竞健
 * @since 2022-06-08
 */
public class GeneratorCode {
    /**
     * 获取项目路径
     */
    private static final String PROJECT_PATH = System.getProperty("user.dir") + "/";
    private static final String URL = "jdbc:mysql://122.9.135.98:3306/ams_test?useUnicode=true&characterEncoding=UTF-8";
    private static final String USER_NAME = "user-swb";
    private static final String PASS_WORD = "zRJqkCeSDpWUmL5I";


    public static void main(String[] args) {

        String projectPath;
        Scanner scan = new Scanner(System.in);
        System.out.println("从当前项目根路径出发,请输入要生成代码的路径:");
        if (scan.hasNextLine()) {
            projectPath = System.getProperty("user.dir") + scan.nextLine();
        } else {
            projectPath = System.getProperty("user.dir");
        }

        FastAutoGenerator.create(URL
                        , USER_NAME
                        , PASS_WORD)
                // 全局配置
                .globalConfig((scanner, builder) -> builder.author(scanner.apply("请输入作者名称？"))
                        .outputDir(projectPath + "\\src\\main\\java"))
                // 包配置
                .packageConfig((scanner, builder) -> builder.parent(scanner.apply("请输入包名？"))
                        .pathInfo(Collections.singletonMap(OutputFile.xml,
                                projectPath + "\\src\\main\\resources\\mapper")))
                .templateConfig(builder -> {
                    builder.disable(TemplateType.CONTROLLER);
                })
                // 策略配置
                .strategyConfig((scanner, builder) ->
                        builder
                                .addInclude(
                                        getTables(
                                                scanner
                                                        .apply("请输入表名，多个英文逗号分隔？所有输入 all")))
                                .entityBuilder()
                                .enableLombok()
                                .fileOverride()
                                .idType(IdType.ASSIGN_UUID)
                                .build()
                                .serviceBuilder()
                                .fileOverride()
                                .build()
                                .mapperBuilder()
                                .fileOverride()
                                .build()
                )
                .execute();


    }

    /**
     * @param tables 待生成表名
     * @return List<String> 表名集合
     */
    protected static List<String> getTables(String tables) {
        return "all".equals(tables) ? Collections.emptyList() : Arrays.asList(tables.split(","));
    }
}
